summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-10-14 19:29:39 +0200
committer Eric Hameleers <alien@slackware.com>2017-10-14 19:29:39 +0200
commit6fc26582abf75b6fdcc1483dcfd4022fc69e5490 (patch)
tree18a17e5d9ef30d97960f0057a379aa8f9be84158 /deps
parent8ba5647299bac2cb97d76ddf301e3f02d71250da (diff)
downloadktown-6fc26582abf75b6fdcc1483dcfd4022fc69e5490.tar.gz
ktown-6fc26582abf75b6fdcc1483dcfd4022fc69e5490.tar.xz
Updated deps for the next release
Diffstat (limited to 'deps')
-rwxr-xr-xdeps/PyQt/PyQt.SlackBuild15
-rwxr-xr-xdeps/ddcutil/ddcutil.SlackBuild6
-rwxr-xr-xdeps/gpgme/gpgme.SlackBuild18
-rwxr-xr-xdeps/phonon-vlc/phonon-vlc.SlackBuild2
-rw-r--r--deps/poppler/.url2
-rwxr-xr-xdeps/poppler/poppler.SlackBuild8
-rw-r--r--deps/qt5/.url2
-rwxr-xr-xdeps/qt5/qt5.SlackBuild3
-rwxr-xr-xdeps/sip/sip.SlackBuild20
9 files changed, 58 insertions, 18 deletions
diff --git a/deps/PyQt/PyQt.SlackBuild b/deps/PyQt/PyQt.SlackBuild
index a1d68d0..664b191 100755
--- a/deps/PyQt/PyQt.SlackBuild
+++ b/deps/PyQt/PyQt.SlackBuild
@@ -60,6 +60,9 @@ else
SLKCFLAGS="-O2"
fi
+PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -84,11 +87,23 @@ export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
+if [ -n "${PYTHON3LIB}" ]; then
+ python3 configure.py --confirm-license --verbose
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ make clean
+
+ mv $PKG/usr/bin/pyuic4 $PKG/usr/bin/pyuic4-py3
+ rm -rf $PKG/$PYTHON3LIB/${PKGNAM}4/uic/port_v2/
+fi
+
python configure.py --confirm-license --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+rm -rf $PKG/$PYTHONLIB/${PKGNAM}4/uic/port_v3/
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/deps/ddcutil/ddcutil.SlackBuild b/deps/ddcutil/ddcutil.SlackBuild
index 2610b71..2278e16 100755
--- a/deps/ddcutil/ddcutil.SlackBuild
+++ b/deps/ddcutil/ddcutil.SlackBuild
@@ -26,7 +26,7 @@
PKGNAM=ddcutil
VERSION=${VERSION:-0.8.4}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -90,7 +90,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
--build=$TARGET
@@ -103,6 +103,8 @@ mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS CONTRIBUTORS COPYING COPYRIGHT ChangeLog NEWS README \
$PKG/usr/doc/$PKGNAM-$VERSION
+# Remove phony docdir:
+rm -rf $PKG/usr/share/doc
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
diff --git a/deps/gpgme/gpgme.SlackBuild b/deps/gpgme/gpgme.SlackBuild
index 02193e4..02f1701 100755
--- a/deps/gpgme/gpgme.SlackBuild
+++ b/deps/gpgme/gpgme.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2006-2009 Robby Workman, Northport, AL, USA
-# Copyright 2007, 2008, 2009, 2010, 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2016, 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,14 @@
PKGNAM=gpgme
VERSION=${VERSION:-1.9.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
+
+# Find out the default python version:
+if [ $( python -c 'import sys ; print sys.version_info[0]' ) -eq 3 ]; then
+ MYPY="python"
+else
+ MYPY="python2"
+fi
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -88,13 +95,14 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--infodir=/usr/info \
--docdir=/usr/doc/gpgme-$VERSION \
- --enable-languages="cl cpp python2 qt" \
+ --enable-languages="cl cpp $MYPY qt" \
--disable-gpgsm-test \
--build=$TARGET \
- --host=$TARGET
+ --host=$TARGET \
+ || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/deps/phonon-vlc/phonon-vlc.SlackBuild b/deps/phonon-vlc/phonon-vlc.SlackBuild
index 81c85bd..3e787cf 100755
--- a/deps/phonon-vlc/phonon-vlc.SlackBuild
+++ b/deps/phonon-vlc/phonon-vlc.SlackBuild
@@ -26,7 +26,7 @@
PKGNAM=phonon-vlc
SRCNAM=phonon-backend-vlc
VERSION=${VERSION:-0.9.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
diff --git a/deps/poppler/.url b/deps/poppler/.url
index 2434ac9..ded0c12 100644
--- a/deps/poppler/.url
+++ b/deps/poppler/.url
@@ -1,2 +1,2 @@
-https://poppler.freedesktop.org/poppler-0.57.0.tar.xz
+https://poppler.freedesktop.org/poppler-0.59.0.tar.xz
diff --git a/deps/poppler/poppler.SlackBuild b/deps/poppler/poppler.SlackBuild
index 9e63402..b93a7d8 100755
--- a/deps/poppler/poppler.SlackBuild
+++ b/deps/poppler/poppler.SlackBuild
@@ -24,7 +24,7 @@
# Modified 2016, 2017 by Eric Hameleers <alien@slackware.com>
PKGNAM=poppler
-VERSION=${VERSION:-0.57.0}
+VERSION=${VERSION:-0.59.0}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -92,9 +92,9 @@ CXXFLAGS="$SLKCFLAGS -std=c++11" \
--mandir=/usr/man \
--disable-static \
--enable-zlib \
- --build=$TARGET
+ --build=$TARGET || exit 1
-make || exit 1
+make $NUMBOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
# Remove files that overlap with the xpdf package:
@@ -119,7 +119,7 @@ if [ -d $PKG/usr/man ]; then
fi
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
-cp -a AUTHORS COPYING* INSTALL NEWS README README-XPDF TODO \
+cp -a AUTHORS COPYING* INSTALL NEWS README* TODO \
$PKG/usr/doc/${PKGNAM}-$VERSION
( cd $PKG/usr/doc/${PKGNAM}-$VERSION
ln -s /usr/share/gtk-doc/html/poppler html )
diff --git a/deps/qt5/.url b/deps/qt5/.url
index cfb9ed5..cc990a0 100644
--- a/deps/qt5/.url
+++ b/deps/qt5/.url
@@ -1 +1 @@
-https://download.qt.io/archive/qt/5.9/5.9.1/single/qt-everywhere-opensource-src-5.9.1.tar.xz
+https://download.qt.io/archive/qt/5.9/5.9.2/single/qt-everywhere-opensource-src-5.9.2.tar.xz
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index fc81c6f..ad3dff3 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -51,9 +51,10 @@
# Modifications for qt 5.7.1 2017 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.9.0 2017 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.9.1 2017 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.9.2 2017 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5
-VERSION=${VERSION:-5.9.1}
+VERSION=${VERSION:-5.9.2}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
BUILD=${BUILD:-1}
diff --git a/deps/sip/sip.SlackBuild b/deps/sip/sip.SlackBuild
index 57b365d..f34860c 100755
--- a/deps/sip/sip.SlackBuild
+++ b/deps/sip/sip.SlackBuild
@@ -54,8 +54,11 @@ else
SLKCFLAGS="-O2"
fi
-PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
-PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' )
+PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
+PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' 2>/dev/null )
+
+PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -74,10 +77,21 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ -n "${PYTHON3LIB}" ]; then
+ python3 configure.py \
+ -b "/usr/bin" \
+ -d "$PYTHON3LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+
+ mv $PKG/usr/bin/sip $PKG/usr/bin/sip3
+fi
+
python configure.py \
-b "/usr/bin" \
-d "$PYTHONLIB" \
- -e "/usr/include/python$PYTHONVER" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
|| exit 1